apiVersion: extensions/v1beta1
kind: Deployment
metadata:
  annotations:
    kompose.cmd: kompose convert
    kompose.version: 1.3.0 (4f187a1)
  creationTimestamp: null
  labels:
    io.kompose.service: nginx
  name: nginx
  namespace: dspace
spec:
  replicas: 1
  strategy:
    type: Recreate
  template:
    metadata:
      creationTimestamp: null
      labels:
        io.kompose.service: nginx
    spec:
      containers:
      - image: gitlab.inf.unibz.it:4567/commul/docker/clarin-dspace/production/nginx:1.3.3
        imagePullPolicy: Always
        name: clarin-nginx
        ports:
        - containerPort: 80
        - containerPort: 443
        resources: {}
        volumeMounts:
        - mountPath: /opt/shibboleth-sp-fastcgi/etc/shibboleth/certs
          name: nginx-shib-certs
        - mountPath: /etc/ssl/clarin
          name: nginx-ssl-certs
        livenessProbe:
          httpGet:
            host: clarin.eurac.edu
            port: 443
            scheme: HTTPS
          initialDelaySeconds: 30
          periodSeconds: 15
          timeoutSeconds: 3
      restartPolicy: Always
      imagePullSecrets:
        - name: gitlab-scientificnet-org-registry
      volumes:
        - cephfs:
            monitors:
            - 10.8.55.201:6789
            - 10.8.55.202:6789
            - 10.8.55.203:6789
            - 10.7.55.201:6789
            - 10.7.55.202:6789
            path: /eurac/commul/projects/clarin/kubernetes/dspace/ssl-certs
            secretRef:
              name: client.fs.commul.admin
            user: fs.commul.admin
          name: nginx-ssl-certs
        - cephfs:
            monitors:
            - 10.8.55.201:6789
            - 10.8.55.202:6789
            - 10.8.55.203:6789
            - 10.7.55.201:6789
            - 10.7.55.202:6789
            path: /eurac/commul/projects/clarin/kubernetes/dspace/shib-certs
            secretRef:
              name: client.fs.commul.admin
            user: fs.commul.admin
          name: nginx-shib-certs
status: {}
